Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class JSFActionContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
              org.jboss.portal.portlet.impl.spi.AbstractActionContext
                  org.jboss.portal.faces.component.portlet.JSFActionContext

All Implemented Interfaces:
  InvocationContext, ActionContext, PortletInvocationContext

    public class JSFActionContext

extends AbstractActionContext

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.spi.AbstractActionContext
`form, interactionState`

Fields inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`markupInfo, mode, navigationalState, windowState`

Constructor Summary
`JSFActionContext(Mode mode, WindowState windowState, StateString interactionState, MarkupInfo markupInfo, JSFInvocation invocation)`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getClientRequest()` Return the client request.
`javax.servlet.http.HttpServletResponse` | `getClientResponse()` Return the client response.
`java.lang.String` | `renderURL(PortletURL portletURL, java.lang.Boolean wantSecure, java.lang.Boolean wantAuthenticated, boolean relative)`

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractActionContext
`getCharacterEncoding, getContentLength, getContentType, getForm, getInputStream, getInteractionState, getReader`

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`encodeResourceURL, getMarkupInfo, getMode, getNavigationalState, getWindowState`

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.spi.PortletInvocationContext
`encodeResourceURL, getMarkupInfo, getMode, getNavigationalState, getWindowState`

Methods inherited from interface org.jboss.portal.common.invocation.InvocationContext
`getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Constructor Detail

### JSFActionContext

    public JSFActionContext(Mode mode,
                            WindowState windowState,
                            StateString interactionState,
                            MarkupInfo markupInfo,
                            JSFInvocation invocation)

Method Detail

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()
                                                           throws java.lang.IllegalStateException

  Description copied from class: `AbstractPortletInvocationContext`
  Return the client request.

  Specified by:
    `getClientRequest` in class `AbstractPortletInvocationContext`
  Returns:
    the client request
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()
                                                             throws java.lang.IllegalStateException

  Description copied from class: `AbstractPortletInvocationContext`
  Return the client response.

  Specified by:
    `getClientResponse` in class `AbstractPortletInvocationContext`
  Returns:
    the client response
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### renderURL

    public java.lang.String renderURL(PortletURL portletURL,
                                      java.lang.Boolean wantSecure,
                                      java.lang.Boolean wantAuthenticated,
                                      boolean relative)

  Parameters:
    `portletURL` - the portlet url
  Returns:
    the url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD